package com.shkj.wms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shkj.wms.bo.BusinTaskQueryBo;
import com.shkj.wms.domain.BusinDataTask;
import com.shkj.wms.vo.BusinDataTaskVo;

import java.util.Date;
import java.util.List;

/**
 * 任务管理Mapper接口
 *
 * @author zjx
 * @date 2023-04-07
 */
public interface BusinDataTaskMapper extends BaseMapper<BusinDataTask>
{
    /**
     * 查询任务管理
     *
     * @param id 任务管理主键
     * @return 任务管理
     */
    public BusinDataTask selectBusinTaskById(Long id);

    /**
     * 根据条码查询任务管理
     *
     * @param qrCode 条码信息
     * @return 任务管理
     */
    public BusinDataTask selectBusinDataTaskByQrcode(String qrCode);


    /**
     * 根据过点时间查询任务管理
     *
     * @param traverseDate 过点时间
     * @return 任务管理
     */
    public BusinDataTask getBusinDataTaskByTraverseDate(Date traverseDate);


    /**
     * 查询任务管理列表
     *
     * @param businDataTask 任务管理
     * @return 任务管理集合
     */
    public List<BusinDataTask> selectBusinTaskList(BusinDataTask businDataTask);

    /**
     * 新增任务管理
     *
     * @param businDataTask 任务管理
     * @return 结果
     */
    public Long insertBusinDataTask(BusinDataTask businDataTask);


    /**
     * 修改任务管理
     *
     * @param businDataTask 任务管理
     * @return 结果
     */
    public int updateBusinTask(BusinDataTask businDataTask);

    /**
     * 删除任务管理
     *
     * @param id 任务管理主键
     * @return 结果
     */
    public int deleteBusinTaskById(Long id);

    /**
     * 批量删除任务管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusinTaskByIds(Long[] ids);


    public List<BusinDataTaskVo> selectBusinDataTask(BusinTaskQueryBo bo);
    public BusinDataTaskVo selectBusinDataTaskByKeys(BusinTaskQueryBo bo);


}
